package jeux_etudiant;

import java.applet.Applet;
import java.applet.AudioClip;
import java.net.URL;

import javax.swing.JApplet;

/**
 * @author jub
 * Classe qui dfine un gestionnaire de son.
 */
public class SoundCache extends RessourceCache<AudioClip> {

	@Override
	public AudioClip loadRessource(URL url) {
		return Applet.newAudioClip(url);
	}
	
	/**
	 * @param name Le nom du son  jouer une seule fois
	 */
	public void playSound(final String name) {
		       Thread t =  new Thread(
		           new Runnable() {
		            public void run() {
		              getRessource(name).play();
		           }
		           }
		         );
		       t.start();
		      }
	
	/**
	 * @param name Le nom du son  jouer en boucle
	 */
	public void loopSound(final String name) {
		Thread t = new Thread(
           new Runnable() {
            public void run() {
              getRessource(name).loop();
                       }
           }
         );
		t.start();
      }
	
	

}
